Name | Type | Default |
animationDuration
|
Number
|
1000
|
Determines the animation in milliseconds. To disable this property - set it to 0 (zero).
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :animationDuration="500" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the animationDuration property. let animationDuration = this.$refs.myBarGauge.animationDuration;
|
backgroundColor
|
String
|
#e0e0e0
|
Sets or gets the jqxBarGauge background color.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :backgroundColor="'red'" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the backgroundColor property. let backgroundColor = this.$refs.myBarGauge.backgroundColor;
|
barSpacing
|
Number
|
4
|
Sets or gets the space between the segments of the jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :barSpacing="12" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the barSpacing property. let barSpacing = this.$refs.myBarGauge.barSpacing;
|
baseValue
|
Number
|
null
|
Sets the base value of jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :baseValue="30" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the baseValue property. let baseValue = this.$refs.myBarGauge.baseValue;
|
colorScheme
|
String
|
scheme01
|
Sets the jqxBarGauge's color palette. jqxBarGauge suppports 27 color schemes from 'scheme01' to 'scheme27'. I's possible to set custom scheme in combination with "customColorScheme" property.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :colorScheme="'scheme02'" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the colorScheme property. let colorScheme = this.$refs.myBarGauge.colorScheme;
|
customColorScheme
|
String | Object
|
scheme01
|
Sets custom color palette in the BarGauge. This is used in combination with "colorScheme" property.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :colorScheme="'scheme'" :customColorScheme='{"name":"scheme","colors": ["#FFCF5E","#E83C64","#FF60B9","#52BDE8"] }' /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the customColorScheme property. let customColorScheme = this.$refs.myBarGauge.customColorScheme;
|
disabled
|
Boolean
|
false
|
Sets or gets the values of the disabled property of jqxBarGauge. By default is false.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :disabled="true" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the disabled property. let disabled = this.$refs.myBarGauge.disabled;
|
endAngle
|
Number
|
0
|
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :endAngle="180" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the endAngle property. let endAngle = this.$refs.myBarGauge.endAngle;
|
formatFunction
|
Object | Function
|
null
|
Sets or gets the formatFunction of the BarGauge. Used to make changes on the particular segment.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :formatFunction="formatFunction" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, methods: { formatFunction: function (value, index, color) {
|
height
|
Number | String
|
400
|
Sets or gets the BarGauge's height.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the height property. let height = this.$refs.myBarGauge.height;
|
labels
|
Object
|
null
|
This property is used to make fine settings on BarGauge labels at each segment.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :labels="labels" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, data: function () { return { labels: { connectorColor: 'red', connectorWidth: 1, font: { color: 'darkseagreen', size: 12 }, formatFunction: function (value, index) {
Get the labels property. let labels = this.$refs.myBarGauge.labels;
|
max
|
Number
|
100
|
Sets or gets the end value of BarGauge.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="60" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the max property. let max = this.$refs.myBarGauge.max;
|
min
|
Number
|
0
|
Sets or gets BarGauge's min. This property specifies the beggining of the BarGauge's scale.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :min="-25" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the min property. let min = this.$refs.myBarGauge.min;
|
relativeInnerRadius
|
Number
|
0.3
|
Sets or gets the relativeInnerRadius of jqxBarGauge. It's value represents the proportion between inner and outer radius.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :relativeInnerRadius="0" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the relativeInnerRadius property. let relativeInnerRadius = this.$refs.myBarGauge.relativeInnerRadius;
|
rendered
|
Function
|
null
|
This function is called when the BarGauge is initialized and the binding is complete.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :rendered="rendered" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
|
startAngle
|
Number
|
225
|
Sets or gets the startAngle of the BarGauge. Used to create geometry of the arc in the space.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :startAngle="200" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the startAngle property. let startAngle = this.$refs.myBarGauge.startAngle;
|
title
|
Object | String
|
null
|
Sets or gets the BarGauge's title. This property can be string or object with custom title settings.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :title="title" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, data: function () { return { title: { text: 'Ranking', font: { color: 'rosybrown', size: 25 }
Get the title property. let title = this.$refs.myBarGauge.title;
|
tooltip
|
Object
|
null
|
Sets or gets the BarGauge's tooltip.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :tooltip="tooltip" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, data: function () { return { tooltip: { classname: 'myTooltip', visible: true, precision: 0, formatFunction: function (value, index) {
Get the tooltip property. let tooltip = this.$refs.myBarGauge.tooltip;
|
useGradient
|
Boolean
|
true
|
Sets or gets useGradient of the BarGauge. Change visualization of the segments between flat color or with gradient.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " :useGradient="false" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the useGradient property. let useGradient = this.$refs.myBarGauge.useGradient;
|
values
|
Array
|
[]
|
Sets or gets array of values for the BarGauge.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the values property. let values = this.$refs.myBarGauge.values;
|
width
|
Number | String
|
400
|
Sets or gets the BarGauge's width.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
Get the width property. let width = this.$refs.myBarGauge.width;
|
|
drawEnd
|
Event
|
|
The event is raised when the BarGauge finish rendering. Commonly used in combination with drawStart event.
Code examples
Bind to the drawEnd event of jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" @drawEnd="onDrawEnd($event)" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, methods: { onDrawEnd: function (event) { alert( 'do something...');
|
drawStart
|
Event
|
|
The event is raised when the BarGauge starts rendering again. Commonly used in combination with drawEnd event.
Code examples
Bind to the drawStart event of jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" @drawStart="onDrawStart($event)" :width="600" :height="600" :max="150" /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
export default { components: { JqxBarGauge }, mounted: function () { this.$refs.myBarGauge.values = [102, 115, 130, 137]; }, methods: { onDrawStart: function (event) { alert( 'do something...');
|
initialized
|
Event
|
|
Fires when the jqxBarGauge is rendered for the first time. The BarGauge is initialized.
Code examples
Bind to the initialized event of jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" @initialized="onInitialized($event)" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, methods: { onInitialized: function (event) { alert( 'do something...');
|
tooltipClose
|
Event
|
|
Fires when a BarGauge's tooltip is closed.
Code examples
Bind to the tooltipClose event of jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" @tooltipClose="onTooltipClose($event)" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, mounted: function () { this.$refs.myBarGauge.tooltip = { visible: true }; }, methods: { onTooltipClose: function (event) { alert( 'do something...');
|
tooltipOpen
|
Event
|
|
Fires when a BarGauge's tooltip is open.
Code examples
Bind to the tooltipOpen event of jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" @tooltipOpen="onTooltipOpen($event)" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, mounted: function () { this.$refs.myBarGauge.tooltip = { visible: true }; }, methods: { onTooltipOpen: function (event) { alert( 'do something...');
|
valueChanged
|
Event
|
|
Fires after the values are changed.
Code examples
Bind to the valueChanged event of jqxBarGauge.
<template> <JqxBarGauge ref="myBarGauge" @valueChanged="onValueChanged($event)" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, methods: { onValueChanged: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
refresh
|
None
|
None
|
Refreshes the BarGauge.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, mounted: function () { this.$refs.myBarGauge.refresh();
|
render
|
None
|
None
|
Renders the BarGauge contents. This method completely refreshes the BarGauge.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, mounted: function () { this.$refs.myBarGauge.render();
|
val
|
value
|
Array
|
Returns an array of the BarGauge values.
<template> <JqxBarGauge ref="myBarGauge" :width="600" :height="600" :max="150" :values=" [102, 115, 130, 137] " /> </template>
<script> import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue'; export default { components: { JqxBarGauge }, mounted: function () { const value = this.$refs.myBarGauge.val([112, 125, 150, 137]);
|

Name | Type | Default |
animationDuration
|
number
|
1000
|
Determines the animation in milliseconds. To disable this property - set it to 0 (zero).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} animationDuration={500} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
backgroundColor
|
string
|
#e0e0e0
|
Sets or gets the jqxBarGauge background color.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} backgroundColor={ 'red'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
barSpacing
|
number
|
4
|
Sets or gets the space between the segments of the jqxBarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} barSpacing={12} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
baseValue
|
number
|
null
|
Sets the base value of jqxBarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} baseValue={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
colorScheme
|
string
|
scheme01
|
Sets the jqxBarGauge's color palette. jqxBarGauge suppports 27 color schemes from 'scheme01' to 'scheme27'. I's possible to set custom scheme in combination with "customColorScheme" property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
customColorScheme
|
BarGaugeCustomColorScheme
|
scheme01
|
Interface BarGaugeCustomColorScheme { name?: string; colors?: Array<string>; }
Sets custom color palette in the BarGauge. This is used in combination with "colorScheme" property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} colorScheme={ 'scheme'} customColorScheme={{ "name":"scheme","colors":["#FFCF5E","#E83C64","#FF60B9","#52BDE8"]}} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets the values of the disabled property of jqxBarGauge. By default is false.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
endAngle
|
number
|
0
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} endAngle={180} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
formatFunction
|
(value?: number | string, index?: number, color?: string) => string
|
null
|
Sets or gets the formatFunction of the BarGauge. Used to make changes on the particular segment.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); constructor(props: {}) { super(props); this.state = { formatFunction: (): any => { return 'red'; } } } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} formatFunction={this.state.formatFunction} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
400
|
Sets or gets the BarGauge's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
labels
|
BarGaugeLabels
|
null
|
Interface BarGaugeLabelsFont { color?: string; size?: number | string; family?: string; }
Interface BarGaugeLabels { connectorColor?: string; connectorWidth?: number; font?: BarGaugeLabelsFont; formatFunction?: (value?: number, index?: number) => string; indent?: number; precision?: number; visible?: boolean; }
This property is used to make fine settings on BarGauge labels at each segment.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); constructor(props: {}) { super(props); this.state = { labels: { connectorColor: 'red', connectorWidth: 1, font: { color: 'darkseagreen', size: 12 }, formatFunction: function (value, index) { return value + ' USD'; }, indent: 15, precision: 1, visible: true } } } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} labels={this.state.labels} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
number | string
|
100
|
Sets or gets the end value of BarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={60} values={[102, 115, 130, 137]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
number
|
0
|
Sets or gets BarGauge's min. This property specifies the beggining of the BarGauge's scale.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} min={-25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
relativeInnerRadius
|
number | string
|
0.3
|
Sets or gets the relativeInnerRadius of jqxBarGauge. It's value represents the proportion between inner and outer radius.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} relativeInnerRadius={0} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rendered
|
() => void
|
null
|
This function is called when the BarGauge is initialized and the binding is complete.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); constructor(props: {}) { super(props); this.state = { rendered: (): any => { alert( 'rendered!') } } } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} rendered={this.state.rendered} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
startAngle
|
number
|
225
|
Sets or gets the startAngle of the BarGauge. Used to create geometry of the arc in the space.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} startAngle={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
title
|
BarGaugeTitle
|
null
|
BarGaugeHorizontalTitleAlignment: "left" | "center" | "right"
BarGaugeVerticalTitleAlignment: "top" | "bottom"
Interface BarGaugeTextFont { color?: string; family?: string; opacity?: number; size?: number | string; weight?: number; }
Interface BarGaugeTitleMargin { bottom?: number; left?: number; right?: number; top?: number; }
Interface BarGaugeTitleSubtitle { text?: string; font?: BarGaugeTextFont; }
Interface BarGaugeTitle { text?: string; font?: BarGaugeTextFont; horizontalAlignment?: BarGaugeHorizontalTitleAlignment; margin?: BarGaugeTitleMargin; subtitle?: BarGaugeTitleSubtitle; verticalAlignment?: BarGaugeVerticalTitleAlignment; }
Sets or gets the BarGauge's title. This property can be string or object with custom title settings.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); constructor(props: {}) { super(props); this.state = { title: { text: 'Ranking', font: { color: 'rosybrown', size: 25 } } } } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} title={this.state.title} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltip
|
BarGaugeTooltip
|
null
|
Interface BarGaugeTooltip { classname?: string; formatFunction?: (value?: number | string, index?: number, color?: string) => string; visible?: boolean; precision?: number; }
Sets or gets the BarGauge's tooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); constructor(props: {}) { super(props); this.state = { tooltip: { classname: 'myTooltip', visible: true, precision: 0, formatFunction: function (value, index) { return value + ' USD'; } } } } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} tooltip={this.state.tooltip} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
useGradient
|
boolean
|
true
|
Sets or gets useGradient of the BarGauge. Change visualization of the segments between flat color or with gradient.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} useGradient={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
values
|
Array<number>
|
[]
|
Sets or gets array of values for the BarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
400
|
Sets or gets the BarGauge's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
drawEnd
|
Event
|
|
The event is raised when the BarGauge finish rendering. Commonly used in combination with drawStart event.
Code examples
Bind to the drawEnd event of jqxBarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} onDrawEnd={this.onDrawEnd} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } private onDrawEnd(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
drawStart
|
Event
|
|
The event is raised when the BarGauge starts rendering again. Commonly used in combination with drawEnd event.
Code examples
Bind to the drawStart event of jqxBarGauge.
|
initialized
|
Event
|
|
Fires when the jqxBarGauge is rendered for the first time. The BarGauge is initialized.
Code examples
Bind to the initialized event of jqxBarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} onInitialized={this.onInitialized} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } private onInitialized(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltipClose
|
Event
|
|
Fires when a BarGauge's tooltip is closed.
Code examples
Bind to the tooltipClose event of jqxBarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public componentDidMount(): void { this.myBarGauge.current!.setOptions({ tooltip: { visible: true } }); } public render() { return ( <JqxBarGauge ref={this.myBarGauge} onTooltipClose={this.onTooltipClose} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } private onTooltipClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltipOpen
|
Event
|
|
Fires when a BarGauge's tooltip is open.
Code examples
Bind to the tooltipOpen event of jqxBarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public componentDidMount(): void { this.myBarGauge.current!.setOptions({ tooltip: { visible: true } }); } public render() { return ( <JqxBarGauge ref={this.myBarGauge} onTooltipOpen={this.onTooltipOpen} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } private onTooltipOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueChanged
|
Event
|
|
Fires after the values are changed.
Code examples
Bind to the valueChanged event of jqxBarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public render() { return ( <JqxBarGauge ref={this.myBarGauge} onValueChanged={this.onValueChanged} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } private onValueChanged(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
refresh
|
None
|
|
Refreshes the BarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public componentDidMount(): void { this.myBarGauge.current!.refresh(); } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the BarGauge contents. This method completely refreshes the BarGauge.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public componentDidMount(): void { this.myBarGauge.current!.render(); } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Returns an array of the BarGauge values.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBarGauge, { IBarGaugeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbargauge'; class App extends React.PureComponent<{}, IBarGaugeProps> { private myBarGauge = React.createRef<JqxBarGauge>(); public componentDidMount(): void { this.myBarGauge.current!.val([30, 80, 120]); } public render() { return ( <JqxBarGauge ref={this.myBarGauge} width={600} height={600} max={150} values={[102, 115, 130, 137]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
animationDuration
|
Number
|
1000
|
Sets or gets the animationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [animationDuration]="500"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
backgroundColor
|
String
|
#e0e0e0
|
Sets or gets the backgroundColor property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [backgroundColor]="'red'"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
barSpacing
|
Number
|
4
|
Sets or gets the barSpacing property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [barSpacing]="12"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
baseValue
|
Number
|
null
|
Sets or gets the baseValue property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [baseValue]="30"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
colorScheme
|
String
|
scheme01
|
Sets or gets the colorScheme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [colorScheme]="'scheme02'"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
customColorScheme
|
BarGaugeCustomColorScheme
|
scheme01
|
interface BarGaugeCustomColorScheme { name: String; colors: Array<String>; } Sets or gets the customColorScheme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [colorScheme]="colorScheme" [customColorScheme]='{"name":"colorScheme","colors":["#FFCF5E","#E83C64","#FF60B9","#52BDE8"]}' > </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [disabled]="true"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
endAngle
|
Number
|
0
|
Sets or gets the endAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [endAngle]="180"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
formatFunction
|
(value: Number, index: Number, color: String): Any
|
null
|
Sets or gets the formatFunction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [formatFunction]="formatFunction"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
height
|
Size
|
400
|
interface Size { size?: String | Number; } Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
labels
|
BarGaugeLabels
|
null
|
interface BarGaugeLabels { connectorColor?: String; connectorWidth?: Number; font?: BarGaugeLabelsFont; formatFunction?: (value?: Number, index?: Number) => String; indent?: Number; precision?: Number; visible?: Boolean; } interface BarGaugeLabelsFont { color?: String; size?: Number | String; family?: String; } Sets or gets the labels property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [labels]="labels"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
max
|
Number | String
|
100
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="60"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
min
|
Number
|
0
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [min]="-25"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
relativeInnerRadius
|
Number | String
|
0.3
|
Sets or gets the relativeInnerRadius property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [relativeInnerRadius]="0"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
rendered
|
() => Void
|
null
|
Sets or gets the rendered property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [rendered]="rendered"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
startAngle
|
Number
|
225
|
Sets or gets the startAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [startAngle]="200"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
title
|
BarGaugeTitle
|
null
|
interface BarGaugeTitle { text?: String; font?: BarGaugeTextFont; horizontalAlignment?: BarGaugeHorizontalTitleAlignment; margin?: BarGaugeTitleMargin; subtitle?: BarGaugeTitleSubtitle; verticalAlignment?: BarGaugeVerticalTitleAlignment; } interface BarGaugeTextFont { color?: String; family?: String; opacity?: Number; size?: Number | String; weight?: Number; } enum BarGaugeHorizontalTitleAlignment { left, center, right } interface BarGaugeTitleMargin { bottom?: Number; left?: Number; right?: Number; top?: Number; } enum BarGaugeVerticalTitleAlignment { top, bottom } interface BarGaugeTitleSubtitle { text?: String; font?: BarGaugeTextFont; } Sets or gets the title property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [title]="title"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
tooltip
|
BarGaugeTooltip
|
null
|
interface BarGaugeTooltip { classname?: String; formatFunction?: (value?: Any, index?: Number) => String; visible?: Boolean; precision?: Number; } Sets or gets the tooltip property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [tooltip]="tooltip"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
useGradient
|
Boolean
|
true
|
Sets or gets the useGradient property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150" [useGradient]="false"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
values
|
Array<Number>
|
[]
|
Sets or gets the values property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
width
|
Size
|
400
|
interface Size { size?: String | Number; } Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
|
drawEnd
|
Event
|
|
The event is raised when the BarGauge finish rendering. Commonly used in combination with drawStart event.
Code examples
Bind to the drawEnd event of jqxBarGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge (onDrawEnd)="DrawEnd($event)" [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { DrawEnd(event: any): void { // Do Something } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
drawStart
|
Event
|
|
The event is raised when the BarGauge starts rendering again. Commonly used in combination with drawEnd event.
Code examples
Bind to the drawStart event of jqxBarGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge (onDrawStart)="DrawStart($event)" [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { DrawStart(event: any): void { // Do Something } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
initialized
|
Event
|
|
Fires when the jqxBarGauge is rendered for the first time. The BarGauge is initialized.
Code examples
Bind to the initialized event of jqxBarGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge (onInitialized)="Initialized($event)" [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { Initialized(event: any): void { // Do Something } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
tooltipClose
|
Event
|
|
Fires when a BarGauge's tooltip is closed.
Code examples
Bind to the tooltipClose event of jqxBarGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge (onTooltipClose)="TooltipClose($event)" [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { TooltipClose(event: any): void { // Do Something } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
tooltipOpen
|
Event
|
|
Fires when a BarGauge's tooltip is open.
Code examples
Bind to the tooltipOpen event of jqxBarGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge (onTooltipOpen)="TooltipOpen($event)" [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { TooltipOpen(event: any): void { // Do Something } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
valueChanged
|
Event
|
|
Fires after the values are changed.
Code examples
Bind to the valueChanged event of jqxBarGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge (onValueChanged)="ValueChanged($event)" [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent { ValueChanged(event: any): void { // Do Something } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
|
Name | Return Type | Arguments |
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myBarGauge') myBarGauge: jqxBarGaugeComponent; ngAfterViewInit(): void { this.myBarGauge.refresh(); } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myBarGauge') myBarGauge: jqxBarGaugeComponent; ngAfterViewInit(): void { this.myBarGauge.render(); } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|
val
|
Array<Number>
|
value: Array<Number>
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBarGauge #myBarGauge [values]="values" [width]="600" [height]="600" [max]="150"> </jqxBarGauge> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myBarGauge') myBarGauge: jqxBarGaugeComponent; ngAfterViewInit(): void { let value = this.myBarGauge.val([112, 125, 150, 137]); } title: string = 'Ranking'; values: number[] = [102, 115, 130, 137]; labels: jqwidgets.BarGaugeLabels = { connectorColor: 'green', connectorWidth: 1 }; tooltip: jqwidgets.BarGaugeTooltip = { formatFunction: (value: any, index: number): string => { return `${value} $`; }, visible: true, precision: 0 }; rendered = (): void => { // Do Something }; formatFunction(value: number, index: number, color: string): string {
|